import {ChangeDetectionStrategy, Component} from "@angular/core";
import {OAuthService} from "@app/oauth/oauth-service";

@Component({
  selector: "dlcm-home",
  templateUrl: "./home.component.html",
  styleUrls: ["./home.component.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class HomeComponent {

  constructor(private oauthService: OAuthService) {
  }

  get token() {
    return this.oauthService.getAccessToken();
  }

  get claims() {
    return this.oauthService.getIdentityClaims();
  }
}
