import {ChangeDetectionStrategy, Component, OnInit} from "@angular/core";
import {OAuthService} from "@app/oauth/oauth-service";

@Component({
  selector: "dlcm-login",
  templateUrl: "./login.component.html",
  styleUrls: ["./login.component.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class LoginComponent implements OnInit {

  constructor(private oauthService: OAuthService) {
  }

  ngOnInit() {
  }

  login() {
    this.oauthService.initAuthorizationCodeFlow();
  }
}
