import {ChangeDetectionStrategy, Component} from "@angular/core";
import {MainToolbarDirective} from "@app/directives/main-toolbar.directive";
import {OAuthService} from "@app/oauth/oauth-service";

@Component({
  selector: "dlcm-main-toolbar-mobile",
  templateUrl: "./main-toolbar-mobile.component.html",
  styleUrls: ["./main-toolbar-mobile.component.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class MainToolbarMobileComponent extends MainToolbarDirective {
  constructor(private oauth: OAuthService) {
    super(oauth);
  }
}
