import {MainToolbarDirective} from "./main-toolbar.directive";
import {async, TestBed} from "@angular/core/testing";
import {FooterComponent} from "@app/components/footer/footer.component";
import {OAuthService} from "@app/oauth/oauth-service";

describe("MainToolbarDirective", () => {
  const oauthService = jasmine.createSpyObj("OAuthService", ["initAuthorizationCodeFlow"]);
  beforeEach(async(() => {
    TestBed.configureTestingModule({
      declarations: [FooterComponent],
      providers: [
        {provide: OAuthService, useValue: oauthService}
      ]
    })
      .compileComponents();
  }));

  it("should create an instance", () => {
    const directive = new MainToolbarDirective(oauthService);
    expect(directive).toBeTruthy();
  });
});
