import {LanguagesEnum} from "@app/shared/enums/languages.enum";
import {ThemeEnum} from "@app/shared/enums/theme.enum";

export const environment = {
  appTitle: "DLCM - Frontend",
  production: true,
  API_BASE_PATH: "http://to-set/dlcm",
  theme: ThemeEnum.yareta,
  defaultLanguage: LanguagesEnum.en,
  pageSizeOptions: [5, 10, 25, 50, 100],
  defaultPageSizeOption: 10,
};
