import {NgModule} from "@angular/core";
import {RouterModule, Routes} from "@angular/router";
import {AccessView} from "@app/access/views/access/access.view";
import {TRANSLATE} from "@app/shared/utils/translate.util";

const routes: Routes = [
  {
    path: "",
    component: AccessView,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.access.search"),
    }
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class AccessRoutingModule {
}
