import {NgModule} from "@angular/core";
import {AccessRoutingModule} from "@app/access/access-routing.module";
import {AccessState} from "@app/access/access.state";
import {AccessView} from "@app/access/views/access/access.view";
import {SharedModule} from "@app/shared/shared.module";
import {TranslateModule} from "@ngx-translate/core";
import {NgxsModule} from "@ngxs/store";

const views = [
  AccessView,
];
const containers = [];
const components = [];

@NgModule({
  declarations: [
    ...views,
    ...containers,
    ...components,
  ],
  imports: [
    SharedModule,
    AccessRoutingModule,
    TranslateModule.forChild({}),
    NgxsModule.forFeature([
      AccessState,
    ]),
  ],
  exports: [
    ...views,
  ],
  providers: [],
})
export class AccessModule {
}
