import {LanguagesEnum} from "@app/shared/enums/languages.enum";

export class SetDefaultLanguage {
  static readonly type = "[App] Set Default Language";

  constructor() {
  }
}

export class SetMomentLocal {
  static readonly type = "[App] Set Moment Local";

  constructor() {
  }
}

export class ChangeAppLanguage {
  static readonly type = "[App] Change App Language";

  constructor(public language: LanguagesEnum) {
  }
}

export class Login {
  static readonly type = "[App] Login";

  constructor() {
  }
}

export class LoginSuccess {
  static readonly type = "[App] Login Success";

  constructor() {
  }
}

export class LoginFail {
  static readonly type = "[App] Login Fail";

  constructor() {
  }
}

export class Logout {
  static readonly type = "[App] Logout";

  constructor() {
  }
}
