import {LanguagesEnum} from '@app/shared/enums/languages.enum';
import {SessionStorageEnum} from '@app/shared/enums/session-storage.enum';
import {environment} from '../../../environments/environment';

export class MapUtil {
  static addOrUpdate(map: Map<string, string>, field: string, value: string) {
    if (map.has(field)) {
      map.delete(field);
    }
    map.set(field, value);
  }
}
