import {LanguagesEnum} from '@app/shared/enums/languages.enum';
import {SessionStorageEnum} from '@app/shared/enums/session-storage.enum';
import {environment} from '../../../environments/environment';

export class ObjectUtil {
  static clone<T>(object: T): T {
    // Warning, it's not a deep copy !
    return Object.assign({}, object);
  }
}
