// This file can be replaced during build by using the `fileReplacements` array.
// `ng build --prod` replaces `environment.ts` with `environment.prod.ts`.
// The list of file replacements can be found in `angular.json`.


import {LanguagesEnum} from "@app/shared/enums/languages.enum";
import {ThemeEnum} from "@app/shared/enums/theme.enum";

export const environment = {
  appTitle: "DLCM - Frontend",
  production: false,
  API_BASE_PATH: "/api",
  theme: ThemeEnum.yareta,
  defaultLanguage: LanguagesEnum.en,
  pageSizeOptions: [5, 10, 25, 50, 100],
  defaultPageSizeOption: 5,
};

/*
 * For easier debugging in development mode, you can import the following file
 * to ignore zone related error stack frames such as `zone.run`, `zoneDelegate.invokeTask`.
 *
 * This import should be commented out in production mode because it will have a negative impact
 * on performance if an error is thrown.
 */
// import 'zone.js/dist/zone-error';  // Included with Angular CLI.
